<?php

session_start();

$inactividad = 86400; //24 horas
$_SESSION['inactividad'] = $inactividad;
$_SESSION['inicio'] = time(); 
$_SESSION['expiracion'] = $_SESSION['inicio'] + $inactividad;


if(isset($_POST['usuario'])){

    $_SESSION['usuario'] = $_POST['usuario'];
    $_SESSION['conexion'] = $_POST['conexion'];
    $_SESSION['password'] = $_POST['password'];  
}  

 $usuario = $_SESSION['usuario'];
 $nombre_conexion = $_SESSION['conexion'];
 $pass = $_SESSION['password'];
 


  //consultar informacion del nombre de conexion
    $path ="include/xml/conexiones.xml";

    if(file_exists($path)){
    
        $xml = new DOMDocument("1.0","UTF-8");
        $xml-> load($path);
        $nombres = $xml->getElementsByTagName("conexion");
        foreach($nombres as $nombre){ 

            $nombre_con = $nombre->getElementsByTagName("nombre")->item(0)->nodeValue;
            if($nombre_con == $nombre_conexion){
                $tipo = $nombre->getElementsByTagName("tipo")->item(0)->nodeValue;
                $servidor = $nombre->getElementsByTagName("servidor")->item(0)->nodeValue;
                $carpeta = $nombre->getElementsByTagName("carpeta")->item(0)->nodeValue;
            }
      }

    }

    //Validación del tipo de conexión
    $dsn ="";

    if($tipo == "local"){
        $dsn ="firebird:dbname=localhost:".$carpeta."System\Config.FDB";
        $_SESSION['dsn'] = $dsn;
    }
    if($tipo == "remota" && $servidor != ""){
        $dsn ="firebird:dbname=$servidor:".$carpeta."System\Config.FDB";
        $_SESSION['dsn'] = $dsn;
    }



try{
    $username = $usuario;
    $password = $pass; 
    $conn = new PDO($dsn,$username,$password);

}catch(PDOException $e){
     echo "falló la conexion con la base de datos ". $e->getMessage(). "\n";
     header("Location: index.php?estatus=ErrorBD");
     exit();
}


$sql = "SELECT * FROM EMPRESAS ORDER BY NOMBRE_CORTO";
$query = $conn ->prepare($sql);
$query ->execute();
$resultados = $query ->fetchAll(PDO::FETCH_ASSOC);

$mensaje="";

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Empresas</title>
    <link rel="icon" href="/articulos/dist/img/logo.jpeg" type="image/jpeg">
    <link href="https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="dist/css/normalize.css">
    <link rel="stylesheet" href="dist/css/styles.css">   
    <link rel="stylesheet" href="dist/css/all.min.css">
</head>
<body class="contenedor">

      <div class="contenedor-login empresas">
       
        <form action="panel_empresa.php" method="POST">
            <div class="contenedor-empresas"> 
                <label for="select_empresas">Empresas:</label>
                <select name="select_empresas" id="select_empresas">
                <?php 
        
                    if($query -> rowCount() > 0){ 
                        foreach($resultados as $resultado){?>
                          <option value="<?php echo $resultado["NOMBRE_CORTO"]; ?>"><?php echo $resultado["NOMBRE_CORTO"]; ?></option>   
                <?php    }
                    }
                ?>     
                </select> 
                <div class="btns-regresar">
                    <button type="button"><a href="index.php">Volver</a></button>
                    <button type="submit">Aceptar</button>  
                    
                </div>  
             </div>   
        </form>
      </div>

      <div class="logo">
      <img src="dist/img/logo.png" alt="">
    </div>
</body>
</html>